Merge "Revert "Set the trigger for csit-vpp-perf-mrr-daily-master""
authorEd Kern <ejk@cisco.com>
Tue, 21 Aug 2018 14:59:56 +0000 (14:59 +0000)
committerGerrit Code Review <gerrit@fd.io>
Tue, 21 Aug 2018 14:59:56 +0000 (14:59 +0000)
14 files changed:
jjb/csit/csit-hc2vpp.yaml
jjb/csit/csit.yaml
jjb/deb_dpdk/deb_dpdk.yaml
jjb/dmm/dmm.yaml
jjb/dmm/include-raw-dmm-csit-functional-virl.sh
jjb/dmm/include-raw-dmm-test-checkstyle.sh [new file with mode: 0644]
jjb/hc2vpp/hc2vpp-csit.yaml
jjb/hc2vpp/hc2vpp.yaml
jjb/honeycomb/honeycomb.yaml
jjb/nsh_sfc/nsh_sfc.yaml
jjb/vpp/include-raw-vpp-csit-functional.sh
jjb/vpp/vpp-opensuse.yaml
jjb/vpp/vpp.yaml
packer/templates/basebuild.json

index d724fe2..ea0e0a5 100644 (file)
     stream:
         - master:
             branch: 'master'
-        - '1710':
-            branch: 'rls1710'
         - '1801':
             branch: 'rls1801'
         - '1804':
             branch: 'rls1804'
+        - '1807':
+            branch: 'rls1807'
 
 - job-template:
     name: 'csit-hc2vpp-verify-func-{stream}-{os}'
index aa4e992..e5f63b6 100644 (file)
@@ -76,6 +76,9 @@
         - '1804':
             branch: 'rls1804'
             branch-id: 'oper-rls1804'
+        - '1807':
+            branch: 'rls1807'
+            branch-id: 'oper-rls1807'
 
 
 - job-template:
       </ul>
 
     project-type: freestyle
-    node: 'ubuntu1604-basebuild-4c-4g'
+    node: 'ubuntu1604-basebuild-8c-32g'
     concurrent: true
 
     logrotate:
index 17a15e3..e0d3b45 100644 (file)
         - 1802:
             branch: '18.02.x'
             repo-stream-part: 'deb_dpdk_1802'
+        - 1805:
+            branch: '18.05.x'
+            repo-stream-part: 'deb_dpdk_1805'
+        - 1808:
+            branch: '18.08.x'
+            repo-stream-part: 'deb_dpdk_1808'
 
 - job-template:
     name: 'deb_dpdk-verify-{stream}-{os}'
index 0a29ccb..3a94a13 100644 (file)
@@ -1,3 +1,4 @@
+---
 #########################################################################
 #
 # Copyright (c) 2018 Huawei Technologies Co.,Ltd.
 - project:
     name: dmm
     jobs:
-        - 'dmm-verify-{stream}-{os}'
-        - 'dmm-merge-{stream}-{os}'
-        - 'dmm-csit-verify-func-{stream}-{os}-virl'
+      - 'dmm-verify-{stream}-checkstyle'
+      - 'dmm-verify-{stream}-{os}'
+      - 'dmm-merge-{stream}-{os}'
+      - 'dmm-csit-verify-func-{stream}-{os}-virl'
 
     project: 'dmm'
-    os:
-        - ubuntu1604
+    os: 'ubuntu1604'
+
     stream:
-        - master:
-            branch: 'master'
+      - master:
+          branch: 'master'
+
+- job-template:
+    name: 'dmm-verify-{stream}-checkstyle'
+
+    project-type: freestyle
+    node: '{os}-basebuild-4c-4g'
+    concurrent: true
+
+    logrotate:
+      daysToKeep: '{build-days-to-keep}'
+      numToKeep: '{build-num-to-keep}'
+      artifactDaysToKeep: '{build-artifact-days-to-keep}'
+      artifactNumToKeep: '{build-artifact-num-to-keep}'
+
+    parameters:
+      - project-parameter:
+          project: 'dmm'
+      - gerrit-parameter:
+          branch: '{branch}'
+      - os-parameter:
+          os: '{os}'
+
+    scm:
+      - gerrit-trigger-scm:
+          credentials-id: 'jenkins-gerrit-credentials'
+          refspec: '$GERRIT_REFSPEC'
+          choosing-strategy: 'gerrit'
+
+    wrappers:
+      - fdio-infra-wrappers:
+          build-timeout: '{build-timeout}'
+
+    triggers:
+      - gerrit-trigger-patch-submitted:
+          name: 'dmm'
+          branch: '{branch}'
+
+    builders:
+      - shell:
+          !include-raw-escape: include-raw-dmm-test-checkstyle.sh
+
+    publishers:
+      - fdio-infra-shiplogs:
+          maven-version: 'mvn33-new'
 
 - job-template:
     name: 'dmm-verify-{stream}-{os}'
     concurrent: true
 
     logrotate:
-        daysToKeep: '{build-days-to-keep}'
-        numToKeep: '{build-num-to-keep}'
-        artifactDaysToKeep: '{build-artifact-days-to-keep}'
-        artifactNumToKeep: '{build-artifact-num-to-keep}'
+      daysToKeep: '{build-days-to-keep}'
+      numToKeep: '{build-num-to-keep}'
+      artifactDaysToKeep: '{build-artifact-days-to-keep}'
+      artifactNumToKeep: '{build-artifact-num-to-keep}'
 
     parameters:
-        - project-parameter:
-            project: 'dmm'
-        - gerrit-parameter:
-            branch: '{branch}'
-        - os-parameter:
-            os: '{os}'
+      - project-parameter:
+          project: 'dmm'
+      - gerrit-parameter:
+          branch: '{branch}'
+      - os-parameter:
+          os: '{os}'
 
     scm:
-        - gerrit-trigger-scm:
-            credentials-id: 'jenkins-gerrit-credentials'
-            refspec: '$GERRIT_REFSPEC'
-            choosing-strategy: 'gerrit'
+      - gerrit-trigger-scm:
+          credentials-id: 'jenkins-gerrit-credentials'
+          refspec: '$GERRIT_REFSPEC'
+          choosing-strategy: 'gerrit'
 
     wrappers:
-        - fdio-infra-wrappers:
-            build-timeout: '{build-timeout}'
+      - fdio-infra-wrappers:
+          build-timeout: '{build-timeout}'
 
     triggers:
-        - gerrit-trigger-patch-submitted:
-            name: 'dmm'
-            branch: '{branch}'
+      - gerrit-trigger-patch-submitted:
+          name: 'dmm'
+          branch: '{branch}'
 
     builders:
-        - shell:
-            !include-raw-escape: include-raw-build.sh
+      - shell:
+          !include-raw-escape: include-raw-build.sh
 
     publishers:
       - fdio-infra-shiplogs:
     node: '{os}-basebuild-4c-4g'
 
     logrotate:
-        daysToKeep: '{build-days-to-keep}'
-        numToKeep: '{build-num-to-keep}'
-        artifactDaysToKeep: '{build-artifact-days-to-keep}'
-        artifactNumToKeep: '{build-artifact-num-to-keep}'
+      daysToKeep: '{build-days-to-keep}'
+      numToKeep: '{build-num-to-keep}'
+      artifactDaysToKeep: '{build-artifact-days-to-keep}'
+      artifactNumToKeep: '{build-artifact-num-to-keep}'
 
     parameters:
-        - project-parameter:
-            project: 'dmm'
-        - gerrit-parameter:
-            branch: '{branch}'
-        - os-parameter:
-            os: '{os}'
+      - project-parameter:
+          project: 'dmm'
+      - gerrit-parameter:
+          branch: '{branch}'
+      - os-parameter:
+          os: '{os}'
 
     scm:
-        - gerrit-trigger-scm:
-            credentials-id: 'jenkins-gerrit-credentials'
-            refspec: ''
-            choosing-strategy: 'default'
+      - gerrit-trigger-scm:
+          credentials-id: 'jenkins-gerrit-credentials'
+          refspec: ''
+          choosing-strategy: 'default'
 
     wrappers:
-        - fdio-infra-wrappers:
-            build-timeout: '{build-timeout}'
+      - fdio-infra-wrappers:
+          build-timeout: '{build-timeout}'
 
     triggers:
-        - gerrit-trigger-patch-merged:
-            name: 'dmm'
-            branch: '{branch}'
+      - gerrit-trigger-patch-merged:
+          name: 'dmm'
+          branch: '{branch}'
 
     builders:
-        - shell:
-            !include-raw-escape: include-raw-build.sh
+      - shell:
+          !include-raw-escape: include-raw-build.sh
 
     publishers:
       - fdio-infra-shiplogs:
     concurrent: true
 
     logrotate:
-        daysToKeep: '{build-days-to-keep}'
-        numToKeep: '{build-num-to-keep}'
-        artifactDaysToKeep: '{build-artifact-days-to-keep}'
-        artifactNumToKeep: '{build-artifact-num-to-keep}'
+      daysToKeep: '{build-days-to-keep}'
+      numToKeep: '{build-num-to-keep}'
+      artifactDaysToKeep: '{build-artifact-days-to-keep}'
+      artifactNumToKeep: '{build-artifact-num-to-keep}'
 
     parameters:
-        - project-parameter:
-            project: 'dmm'
-        - gerrit-parameter:
-            branch: '{branch}'
+      - project-parameter:
+          project: 'dmm'
+      - gerrit-parameter:
+          branch: '{branch}'
 
     scm:
-        - gerrit-trigger-scm:
-            credentials-id: 'jenkins-gerrit-credentials'
-            refspec: '$GERRIT_REFSPEC'
-            choosing-strategy: 'gerrit'
+      - gerrit-trigger-scm:
+          credentials-id: 'jenkins-gerrit-credentials'
+          refspec: '$GERRIT_REFSPEC'
+          choosing-strategy: 'gerrit'
 
     wrappers:
-       - fdio-infra-wrappers:
-            build-timeout: '{build-timeout}'
+      - fdio-infra-wrappers:
+          build-timeout: '{build-timeout}'
 
     triggers:
-        - gerrit-trigger-manually-triggered:
-            name: 'dmm'
-            branch: '{branch}'
-            comment-trigger-value: 'verify-dmm-func'
+      - gerrit-trigger-patch-submitted:
+          name: 'dmm'
+          branch: '{branch}'
 
     builders:
-        - shell:
-            !include-raw-escape: include-raw-dmm-csit-functional-virl.sh
+      - shell:
+          !include-raw-escape: include-raw-dmm-csit-functional-virl.sh
 
     publishers:
-        - archive-artifacts:
-            artifacts: 'csit/report.html, csit/log.html, csit/output.xml'
-            latest-only: false
+      - archive-artifacts:
+          artifacts: 'csit/report.html, csit/log.html, csit/output.xml'
+          latest-only: false
 
-        - robot-report:
-            output-path: 'csit'
+      - robot-report:
+          output-path: 'csit'
 
-        - fdio-infra-shiplogs:
-            maven-version: 'mvn33-new'
+      - fdio-infra-shiplogs:
+          maven-version: 'mvn33-new'
index 1e28e10..715601a 100644 (file)
@@ -1,5 +1,4 @@
-#########################################################################
-#
+#!/bin/bash
 # Copyright (c) 2018 Huawei Technologies Co.,Ltd.
 # Licensed under the Apache License, Version 2.0 (the "License");
 # you may not use this file except in compliance with the License.
 # WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 # See the License for the specific language governing permissions and
 # limitations under the License.
-#########################################################################
-#!/bin/bash
 
 set -xeu -o pipefail
 
-# Clone dmm and start tests
-git clone https://gerrit.fd.io/r/dmm
-
-# If the git clone fails, complain clearly and exit
-if [ $? != 0 ]; then
-    echo "Failed to run: git clone https://gerrit.fd.io/r/dmm"
-    exit 1
-fi
-
 # Clone csit and start tests
 git clone https://gerrit.fd.io/r/csit
 
@@ -35,8 +23,10 @@ if [ $? != 0 ]; then
     exit 1
 fi
 
+mkdir -p ./csit/dmm/
+
 # Move the dmm to the csit dir
-sudo mv -f ./dmm/ ./csit/
+rsync -av --progress --exclude="csit" . ./csit/dmm/
 
 cd csit
 
diff --git a/jjb/dmm/include-raw-dmm-test-checkstyle.sh b/jjb/dmm/include-raw-dmm-test-checkstyle.sh
new file mode 100644 (file)
index 0000000..90b3071
--- /dev/null
@@ -0,0 +1,29 @@
+#!/bin/bash
+# Copyright (c) 2018 Huawei Technologies Co.,Ltd.
+# Licensed under the Apache License, Version 2.0 (the "License");
+# you may not use this file except in compliance with the License.
+# You may obtain a copy of the License at:
+#
+#     http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing, software
+# distributed under the License is distributed on an "AS IS" BASIS,
+# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+# See the License for the specific language governing permissions and
+# limitations under the License.
+
+if grep 'checkstyle' CMakeLists.txt > /dev/null
+then
+    cd build/
+    cmake ..
+    make checkstyle
+    if [ $? -eq 0 ]; then
+        echo "DMM checkstyle is SUCCESS"
+    else
+        echo "DMM checkstyle has FAILED"
+        exit 1
+    fi
+else
+    echo "Can't find checkstyle target in CMakeLists.txt- skipping test checkstyle"
+    exit 1
+fi
\ No newline at end of file
index f837f0a..d69f5aa 100644 (file)
@@ -18,6 +18,9 @@
         - '1804':
             branch: 'stable/1804'
             repo-stream-part: 'stable.1804'
+        - '1807':
+            branch: 'stable/1807'
+            repo-stream-part: 'stable.1807'
     os:
         - ubuntu1604:
             repo-os-part: 'ubuntu.xenial.main'
index 0b68364..adc9fab 100644 (file)
@@ -25,6 +25,9 @@
         - '1804':
             branch: 'stable/1804'
             repo-stream-part: 'stable.1804'
+        - '1807':
+            branch: 'stable/1807'
+            repo-stream-part: 'stable.1807'
 
 - job-template:
     name: 'hc2vpp-verify-{stream}-{os}'
             !include-raw-escape:
                 - ../scripts/maven_push_functions.sh
                 - include-raw-hc2vpp-pkg-push.sh
+        - shell:
+            !include-raw-escape:
+                - ../scripts/packagecloud_push.sh
     reporters:
         - findbugs
 
index 2a50ce4..46446ee 100644 (file)
@@ -18,6 +18,9 @@
         - '1804':
             branch: 'stable/1804'
             repo-stream-part: 'stable.1804'
+        - '1807':
+            branch: 'stable/1807'
+            repo-stream-part: 'stable.1807'
 
 - job-template:
     name: 'honeycomb-verify-{stream}-{os}'
index a23d095..8ac1b9d 100644 (file)
                 - ../scripts/cleanup_vpp_plugin_dev_env.sh
                 - ../scripts/maven_push_functions.sh
                 - include-raw-nsh_sfc-pkg-push.sh
+        - shell:
+            !include-raw-escape:
+                - ../scripts/packagecloud_push.sh
 
     publishers:
       - fdio-infra-shiplogs:
index 4c2f7d4..a6f577b 100644 (file)
@@ -55,6 +55,9 @@ else
             stable/1804 )
                 BRANCH_ID="oper-rls1804"
                 ;;
+            stable/1807 )
+                BRANCH_ID="oper-rls1807"
+                ;;
             * )
                 BRANCH_ID="oper"
         esac
index fb60d63..14c0c0b 100644 (file)
@@ -31,6 +31,9 @@
         - master:
             branch: 'master'
             repo-stream-part: 'master'
+        - '1807':
+            branch: 'stable/1807'
+            repo-stream-part: 'stable.1807'
 
 - job-template:
     name: 'vpp-verify-{stream}-opensuse'
             build-timeout: '{build-timeout}'
 
     triggers:
-        - gerrit-trigger-checkstyle:
+        - gerrit-trigger-checkstyle-nonvoting:
             name: '{project}'
             branch: '{branch}'
+            branch-pattern: '**/{branch}'
 
     builders:
         - shell:
index 374a7e6..3221c61 100644 (file)
             build-timeout: '{build-timeout}'
 
     triggers:
-        - gerrit-trigger-checkstyle-nonvoting:
+        - gerrit-trigger-checkstyle:
             name: '{project}'
             branch: '{branch}'
 
                 - draft-published-event
                 - comment-added-contains-event:
                     comment-contains-value: 'checkstylecheck'
+                - comment-added-contains-event:
+                    comment-contains-value: 'docsonly'
                 - comment-added-contains-event:
                     comment-contains-value: 'recheck'
                 - comment-added-contains-event:
                   branches:
                     - branch-compare-type: 'ANT'
                       branch-pattern: '**/{branch}'
+                  file-paths:
+                    - compare-type: REG_EXP
+                      pattern: ^((?!\/COMMIT_MSG|docs|_abc|_def[\/\.]).)*$
+                  forbidden-file-paths:
+                    - compare-type: REG_EXP
+                      pattern: .*docs\/.*
+                    - compare-type: REG_EXP
+                      pattern: .*extras\/emacs\/.*
+                  disable-strict-forbidden-file-verification: 'true'
             override-votes: true
             gerrit-build-notbuilt-verified-value: 0
             gerrit-build-successful-verified-value: 1
             build-timeout: '{build-timeout}'
 
     triggers:
-        - gerrit-trigger-checkstyle:
+        - gerrit-trigger-checkstyle-nonvoting:
             name: '{project}'
             branch: '{branch}'
 
 
     project-type: freestyle
     node: ubuntu1604-us
-    concurrent: true
+    concurrent: false
 
     logrotate:
         daysToKeep: '{build-days-to-keep}'
             rerun-unstable-builds: false
             max-failed-builds: 1
             fixed-delay: 90
-
-
index 426f290..bcb6f0a 100644 (file)
@@ -19,7 +19,8 @@
       "password": "{{user `stack_pass`}}",
       "region": "ca-ymq-1",
       "ssh_username": "{{user `cloud_user`}}",
-      "image_name": "{{user `distro`}} - basebuild - {{isotime \"20060102-1504\"}}",
+      "image_name": "{{user `distro`}} - basebuild - {{isotime \"20060102-150405.000\"}}",
+      "instance_name": "{{user `distro`}}-basebuild-{{uuid}}",
       "source_image_name": "{{user `base_image`}}",
       "flavor": "v1-standard-1",
       "availability_zone": "ca-ymq-2",